<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:bind="http://schemas.android.com/apk/res-auto">

    <data>

        <variable
            name="model"
            type="com.neugelb.homeofmovies.feature.model.Movie" />

        <variable
            name="position"
            type="Integer" />

        <variable
            name="viewModel"
            type="com.neugelb.homeofmovies.feature.movielist.MovieListActivityViewModel" />
    </data>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_gravity="center"
        android:layout_margin="20dp"
        android:gravity="center"
        android:onClick="@{() -> viewModel.navigateToMovieDetails(model)}"
        android:orientation="vertical">

        <ImageView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:adjustViewBounds="true"
            bind:srcUrl="@{model.poster_path}"
            bind:usePlaceHolder="@{true}" />

        <TextView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:layout_marginTop="10dp"
            android:ellipsize="end"
            android:fontFamily="@font/roboto_medium"
            android:gravity="center"
            android:maxLines="1"
            android:text="@{model.title}"
            android:textColor="@android:color/white" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:layout_marginTop="10dp"
            android:gravity="center"
            android:orientation="horizontal">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:drawableStart="@drawable/ic_average_vote"
                android:drawablePadding="5dp"
                android:fontFamily="@font/roboto_bold"
                android:text="@{String.valueOf(model.voteAverage)}"
                android:textColor="@android:color/white"
                android:textSize="14sp" />

            <View
                android:layout_width="1dp"
                android:layout_height="match_parent"
                android:layout_margin="5dp"
                android:background="@android:color/white" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@{model.releaseDate}"
                android:textColor="@android:color/white"
                android:textSize="14sp" />

        </LinearLayout>
    </LinearLayout>
</layout>